Name:           guitarix
Version:        0.04.6
Release:        1%{?dist}
Summary:        Mono amplifier to JACK
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://guitarix.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  ladspa-devel
BuildRequires:  libsndfile-devel

Requires:       jack_capture
Requires:       jconv
Requires:       ladspa
Requires:       vorbis-tools

%description
guitarix is a simple mono amplifier to JACK (Jack Audio Connection Kit) with
one input and two outputs. It is designed to get nice trash/metall/rock/blues
guitar sounds. Controls for bass, treble, gain, compressor, preamp, balance,
distortion, freeverb, crybaby(wah) and echo are available. A fixed resonator
will be used when distortion is disabled. For the 'pressure' in the sound you
can use the feedback and feedforward sliders.

guitarix includes an experimental tuner and a JACK midi output port with 3
channels. They will be fed by a mix from a pitch tracker and a beat detector.
You can pitch the octave (2 up or down), choose the midi channel, the program,
the velocity and the sensitivity, which means how fast the note will read after
the beat detector emits a signal. Values can be set for the beat detector for
all channels.

%prep
%setup -q -n %{name}-%{version}-1

# Correct libdir path
sed -i 's|lib/|%{_lib}/|' wscript

# Comply with freedesktop standards
sed -i 's|\.png||' %{name}.desktop

%build
./waf -vvv configure --prefix=%{_prefix} --cxxflags="%{optflags}"
./waf -vvv build %{?_smp_mflags}

%install
rm -rf %{buildroot}
./waf -vvv install --destdir="%{buildroot}"

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/%{name}.rdf
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jun 24 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.6-1
- Update to 0.04.6 (build system uses waf now)
- License is GPLv2+
- Add missing Requires: ladspa

* Tue May 26 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.5-1
- Update to 0.04.5

* Thu May 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.4-1
- Update to 0.04.4
- Drop upstreamed patches

* Sat May 09 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.3-1
- Initial build
